UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.UMQSourceEventULBMessageInfo Class Reference
Inheritance diagram for com.latencybusters.lbm.UMQSourceEventULBMessageInfo:

## Public Member Functions
| UMQSourceEventULBMessageInfo (int flags, UMQMessageId msgId, long regId, long assignId, long appSetIdx, String receiver, Object clientObject) throws LBMEInvalException
UMQMessageId | messageIdInfo ()
Object | clientObject ()
int | flags ()
long | registrationId ()
long | assignmentId ()
long | applicationSetIndex ()
String | receiver ()

## Detailed Description

UMQ ULB Message Info class. This info object is delivered with a source event indicating that a ULB message has been assigned, consumed, discarded, etc.

Since
  UMQ 1.1

## Constructor & Destructor Documentation

com.latencybusters.lbm.UMQSourceEventULBMessageInfo.UMQSourceEventULBMessageInfo | ( | int | flags,
|  | UMQMessageId | msgId,
|  | long | regId,
|  | long | assignId,
|  | long | appSetIdx,
|  | String | receiver,
|  | Object | clientObject
| ) |  | throws LBMEInvalException

Creates a UMQSourceEventULBMessageInfo object and initializes fields to the supplied values.

Parameters

  flags | Informational flags.
  msgId | The Message ID of the message.
  regId | The Registration ID of the receiver.
  assignId | The Assignment ID of the receiver.
  appSetIdx | The application set index the receiver is in.
  receiver | The immediate message target string for the receiver.
  clientObject | The client object associated with the acknowledgment message.

Exceptions

  LBMEInvalException | An invalid parameter was specified.

Since
  UMQ 1.1

References com.latencybusters.lbm.UMQSourceEventULBMessageInfo.clientObject(), com.latencybusters.lbm.UMQSourceEventULBReceiverInfo.flags(), and com.latencybusters.lbm.UMQSourceEventULBReceiverInfo.receiver().

## Member Function Documentation

long com.latencybusters.lbm.UMQSourceEventULBReceiverInfo.applicationSetIndex | ( |  | ) |
| inherited

Get Application Set index for the receiver associated with this info object.

Returns
  Application Set index for the receiver associated with this info object.

Since
  UMQ 1.1

long com.latencybusters.lbm.UMQSourceEventULBReceiverInfo.assignmentId | ( |  | ) |
| inherited

Get Assignment ID for the receiver associated with this info object.

Returns
  Assignment ID of the receiver associated with this info object.

Since
  UMQ 1.1

Object com.latencybusters.lbm.UMQSourceEventULBMessageInfo.clientObject | ( |  | ) |

Get the client-supplied callback object.

Returns
  Client-supplied object.

Since
  UMQ 1.1

Referenced by com.latencybusters.lbm.UMQSourceEventULBMessageInfo.UMQSourceEventULBMessageInfo().

int com.latencybusters.lbm.UMQSourceEventULBReceiverInfo.flags | ( |  | ) |
| inherited

Get informational flags for this info object.

Returns
  Flags.

Since
  UMQ 1.1

Referenced by com.latencybusters.lbm.UMQSourceEventULBReceiverInfo.receiver(), com.latencybusters.lbm.UMQSourceEventULBMessageInfo.UMQSourceEventULBMessageInfo(), and com.latencybusters.lbm.UMQSourceEventULBReceiverInfo.UMQSourceEventULBReceiverInfo().

UMQMessageId com.latencybusters.lbm.UMQSourceEventULBMessageInfo.messageIdInfo | ( |  | ) |

Get the message Id object identifying the message.

Returns
  A UMQMessageId object identifying the message.

Since
  UMQ 1.1

String com.latencybusters.lbm.UMQSourceEventULBReceiverInfo.receiver | ( |  | ) |
| inherited

Get immediate message target string for the receiver associated with this info object.

Returns
  Immediate message target string for the receiver associated with this info object.

Since
  UMQ 1.1

References com.latencybusters.lbm.UMQSourceEventULBReceiverInfo.flags().

Referenced by com.latencybusters.lbm.UMQSourceEventULBMessageInfo.UMQSourceEventULBMessageInfo(), and com.latencybusters.lbm.UMQSourceEventULBReceiverInfo.UMQSourceEventULBReceiverInfo().

long com.latencybusters.lbm.UMQSourceEventULBReceiverInfo.registrationId | ( |  | ) |
| inherited

Get Registration ID for the receiver associated with this info object.

Returns
  Registration ID of the receiver associated with this info object.

Since
  UMQ 1.1

The documentation for this class was generated from the following file:

- UMQSourceEventULBMessageInfo.java